ContractRabbit Docs
API Reference

Dashboard Widgets

List user's dashboard widgets

GET
/api/dashboard-widgets

Response Body

application/json

application/json

curl -X GET "https://loading/api/dashboard-widgets"
null
null

Create a dashboard widget

POST
/api/dashboard-widgets

Request Body

application/json

body?unknown

Response Body

application/json

application/json

curl -X POST "https://loading/api/dashboard-widgets"
null
null

Execute a widget's query config and return data

POST
/api/dashboard-widgets/execute-query

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/dashboard-widgets/execute-query"
null
null
null

Generate widget config from natural language prompt

POST
/api/dashboard-widgets/generate-config

Request Body

application/json

body?unknown

Response Body

application/json

application/json

curl -X POST "https://loading/api/dashboard-widgets/generate-config"
null
null

Batch update widget positions

PATCH
/api/dashboard-widgets/layout

Request Body

application/json

body?unknown

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/dashboard-widgets/layout"
null
null

Get dashboard widget by ID

GET
/api/dashboard-widgets/{id}

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://loading/api/dashboard-widgets/string"
null
null

Update a dashboard widget

PATCH
/api/dashboard-widgets/{id}

Path Parameters

id*string

Request Body

application/json

body?unknown

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/dashboard-widgets/string"
null
null

Delete a dashboard widget

DELETE
/api/dashboard-widgets/{id}

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://loading/api/dashboard-widgets/string"
null
null